Menu

## BattleEvent
in package

BattleEvent.php : 12

A representation of something that happened in battle.

### Table of Contents

$applied : mixed
apply() : mixed
  Applies the event.
decorate() : string
  Returns a string describing the event.

### Properties

#### $applied

BattleEvent.php : 14
`private mixed $applied = false`

### Methods

#### apply()

BattleEvent.php : 20

Applies the event.

`public apply() : mixed`

##### Tags

throws
  BattleEventException

##### Return values

mixed —

#### decorate()

BattleEvent.php : 35

Returns a string describing the event.

`public decorate(Game $game) : string`

##### Parameters

$game : Game

##### Tags

throws
  BattleEventException

##### Return values

string —

## Search results